Subject: bug#746: Killed when starting modale dialog like pinentry

From: Klaus Ethgen <[email-masked]>
Date: Wed, 8 Mar 2023 11:26:37 +0100

Am Mi den  8. Mär 2023 um 11:18 schrieb Mark Hindley:
> Thanks for this. I am glad you found it.
> 
> On Wed, Mar 08, 2023 at 11:00:45AM +0100, Klaus Ethgen wrote:
> > Am Mi den  8. Mär 2023 um 10:37 schrieb Klaus Ethgen:
> > > I think, the bug can be reassignet to fvwm2.
> > > 
> > > I seen the following line in .xsession-errors. I did not see it bevore
> > > as this file is removed with every login..
> > >    fvwm2: ../../src/xcb_io.c:626: _XAllocID: Zusicherung »ret != inval_id«
> > > nicht erfüllt.
> 
> A quick look shows quite a few recent similar reports in various unrelated
> packages. So it may be caused by src:libx11 which produces libx11-xcb1.
> 
> > Well, maybe not in fvwm2 as that file is not part of fvwm.
> 
> Maybe you can add this information to #1032379 and reassign?

I can prove it. If I revert the last update of libx11-6, libx11-data and
libx11-xcb1, everything works correct again.

Gruß
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C